Upload a new next License.

Prev Next
Post
/license/next

Upload a new next License to be switched when CA certificate is switched.

Security
HTTP
Type bearer
Body parameters

License import.

object

Object to import a new license.

license
string Required

The license file contents for this Controller (with the matching request code).

Responses
200

License details.

Expand All
object
maxUsers
number

The maximum users allowed by the license.

Example200.0
maxPortalUsers
number

The maximum Portal users allowed by the license.

Example200.0
maxServiceUsers
number

The maximum Service users allowed by the license.

Example200.0
usersLeaseTimeHours
number

Number of hours User Licenses will be reserved for users before they are reclaimable by others.

Example720.0
portalUsersLeaseTimeHours
number

Number of hours User Licenses will be reserved for Portal users before they are reclaimable by others.

Example720.0
serviceUsersLeaseTimeHours
number

Number of hours User Licenses will be reserved for Service users before they are reclaimable by others.

Example720.0
maxSites
number

The maximum sites allowed by the license. If it's the usage details, then it's the amount of sites in the system at present.

Example5.0
maxAccessPolicies
number

The maximum access policies allowed by the license. If it's the usage details, then it's the amount of access policies in the system at present.

Example5.0
maxConnectorGroups
number

The maximum Connector groups allowed by the license.

Example150.0
riskEngine
boolean

Whether the Risk Engine feature is enabled.

applicationDiscovery
boolean

Whether the Application Discovery feature is enabled.

digitalExperienceMonitoring
boolean

Whether the Digital Experience Monitoring feature is enabled.

verifiedDnsNames
object
names
Array of string

The DNS names allowed by the license.

string
hashes
Array of string

The DNS names' hashes allowed by the license.

string
id
string (uuid)

Unique ID for the license.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
version
number

License version. There can be only one v1 License in the system, while v2 Licenses can be added as extra.

Example2.0
type
number

Type of the license. 1: production, 2: installation, 3: test, 4: built-in, 5: aws built-in, 6: metered

Example2.0
request
string

Request code for the license. If built-in license is in place, use this code to get a license. It's based on the CA certificate.

Example1675ab19fe2
expiration
string (date-time)

The expiration date of the license.

error
string

Error message if the License is not invalid.

ExampleLicense has expired.
400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.